» Ubuntu » Packages » lucid (10.04LTS) » perl » libgetopt-declare-perl
lucid  ] [  precise  ] [  raring  ] [  saucy  ] [  trusty  ] [  utopic  ]
[ Source: libgetopt-declare-perl  ]

Package: libgetopt-declare-perl (1.12-1) [universe]

Links for libgetopt-declare-perl

Screenshot

Ubuntu Resources:

Download Source Package libgetopt-declare-perl:

Maintainer:

Please consider filing a bug or asking a question via Launchpad before contacting the maintainer directly.

Original Maintainers (usually from Debian):

It should generally not be necessary for users to contact the original maintainer.

External Resources:

Similar packages:

Perl module for parsing command line arguments

Getopt::Declare provides facilities to parse command line options. It builds and runs a parser. The parser object can be saved and later run on different input. Key features are:

 * Automatic generation of error, usage and version information
 * Matching of parameter components may be constrained by regular expressions
 * Execution of embedded actions
 * Declarative specification of inter-parameter relationships
 * Selective or global case-insensitive matching of parameters

Other Packages Related to libgetopt-declare-perl

  • depends
  • recommends
  • suggests
  • enhances
  • dep: perl
    Larry Wall's Practical Extraction and Report Language

Download libgetopt-declare-perl

Download for all available architectures
Architecture Package Size Installed Size Files
all 63.9 kB208.0 kB [list of files]